{% extends '../base.html' %}
{% load static %}
{% block stylesheet %}
   {% static 'store/css/store.css' %}
{% endblock  %}
{% block title %}
{{product.title}}
{% endblock  %}
{% block content %}

<div class="container">
    <div class="row g-3">
        {% if messages %}
            <div class="alert alert-warning" alert-{{ messages.tags }} role="alert">
                {% for message in messages  %}
                    {{ message|safe }} - <a href="{% url 'account:wishlist' %}" class="alert-link">Wishlist</a>.
                {% endfor %}
            </div>
        {% endif %}
        <div class="col-md-5 ps-3 col-lg-5 order-md-last p-0 order-1">
            <div class="d-grid gap-2">

                <div class="d-flex d-flex-inline justify-content-between">
                    <div><span class="h2">£{{ product.regular_price }}</span>
                        <p class="text-muted">includes tax</p>
                    </div>
                    <div class="">
                        <label for="select">Qty</label>
                        <select id="select" class="h6 store-select-dropdown">
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                        </select>
                    </div>
                </div>
                <hr>
                <button type="button" id="add-button" value="{{product.id}}" class="btn btn-success fw500">Add to
                    basket</button>
                <a href="{% url 'account:user_wishlist' product.id %}" class="btn btn-light fw-500" role="button" aria-disabled="true">Add to Wish List</a>
            </div>
        </div>
        <div class="col-md-7 col-lg-7 p-0">
            <div class="card mb-3 border-0">
                <div class="row g-0">
                    <div class="col-md-12">
                        <div class="card-body p-1">
                            <h1 class="mb-0 h2 pe-4 pb-4">{{ product.title }}</h1>
                            <div class="bg-light">
                                {% for image in  product.product_image.all %}
                                    {% if image.is_feature %}
                                        <img class="img-fluid mx-auto d-block" width="200px"
                                        alt="{{ image.alt_text}}" src="{{ image.image.url }}">
                                    {% else %}
                                        <img class="img-fluid d-block-inline pt-3" width="100px" alt="{{ image.alt_text }}" src="{{ image.image.url}}">
                                    {% endif %}
                                {% endfor %}
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).on('click', '#add-button', function (e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: '{% url "basket:basket_add" %}',
            data: {
                productId: $('#add-button').val(),
                productQty: $('#select option:selected').val(),
                csrfmiddlewaretoken: "{{csrf_token}}",
                action: 'post'
            },
            success: function (json) {
                document.getElementById("basket-qty").innerHTML = json.qty
            },
            error: function (xhr, errmsg, err) {}
        });
    })
</script>
{% endblock  %}